Subject: Bug#475828: uscan: option to compare orig tarball with upstream source

From: "Adam D. Barratt" <[email-masked]>
Date: Sun, 13 Apr 2008 12:09:09 +0100

Hi,

On Sun, 2008-04-13 at 17:28 +0800, Paul Wise wrote:
> I would like a uscan option --check-orig that does the following. This
> would be useful for sponsors to easily check that the upstream tarball
> is the same as the one provided (on mentors/etc).

This looks reasonable, at least from a first read-through. I'd be
inclined to separate it in to two, however - a "--download-version"
option for uscan and a new script to encompass the remaining
functionality; the new script could become sponsor-check (for want of a
better name) and incorporate other functionality over time.

Regards,

Adam